Bug 1264210 - nodejs control script should wait for http to be available
nodejs control script should wait for http to be available
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
2.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Timothy Williams
DeShuai Ma
:
Depends On: 1221836
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 17:39 EDT by Timothy Williams
Modified: 2017-03-08 12 EST (History)
12 users (show)

See Also:
Fixed In Version: openshift-origin-cartridge-nodejs-1.33.1.1-1.el6op
Doc Type: Bug Fix
Doc Text:
Previously, a Node.js cartridge with hot_deploy disabled would not wait until the application is actually available when starting the application. On scaled Node.js applications where 20 to 30 seconds is required for the application to start, an outage was seen during the push while the Node.js applications started. For other cartridges (such as JBoss EAP), each start is blocked until the application is available so that gear rotation ensures no downtime is experienced. This bug fix updates the Node.js cartridge to now block until the HTTP port is available, with a maximum wait time of 60 seconds. As a result, scaled Node.js cartridges with hot_deploy disabled will properly update and start gears in rotation when pushing a new version of the application. This ensures no downtime is seen while pushing a new version.
Story Points: ---
Clone Of: 1221836
Environment:
Last Closed: 2015-09-30 12:38:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 4 Gaoyun Pei 2015-09-18 03:17:39 EDT
Checked with puddle 2.2/2015-09-15.1, only got openshift-origin-cartridge-nodejs-1.31.3.1-1.el6op.noarch on the env, waiting for openshift-origin-cartridge-nodejs-1.33.1.1-1.el6op to test this bug.
Comment 6 Gaoyun Pei 2015-09-22 03:07:35 EDT
Verify this bug with openshift-origin-cartridge-nodejs-1.33.1.1-1.el6op.noarch.

The control script will check HTTP port is available when starting nodejs cartridge now. As shown in the output during deployment:
...
remote: *** Starting application using: npm start -d
remote: Waiting for application port (8080) become available ...
remote: Found 127.8.48.129:8080 listening port
remote: -------------------------
...
Comment 8 errata-xmlrpc 2015-09-30 12:38:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1844.html

Note You need to log in before you can comment on or make changes to this bug.